<layout-profile-info-card [isLoading]="isLoadingProductProfile$ | async">
  <div class="product-info" *ngIf="productProfile$ | async as product">
    <div class="product-info__details">
      <img
        class="icon"
        src="app/presentation/assets/img/icons/briefcase.svg"
        alt="product"
      />
      <div class="details">
        <div>
          <h2 class="details__product-name">{{ product?.name }}</h2>
          <p class="details__id">
            {{
              "PRODUCT_CATALOGUE.PRODUCTS_PROFILE.INFO.PRODUCT_ID" | translate
            }}: {{ product?.reference }}
          </p>
        </div>
        <div>
          <div class="details__cards">
            <div class="card">
              <label class="card__title">
                {{ product?.number_of_offers }}
                {{
                  "PRODUCT_CATALOGUE.PRODUCTS_PROFILE.INFO.OFFERS_COUNTER"
                    | translate
                }}
              </label>
            </div>
            <div class="card">
              <label class="card__title">
                {{ (project$ | async)?.family_name }}
                {{
                  "PRODUCT_CATALOGUE.PRODUCTS_PROFILE.INFO.PRODUCTS" | translate
                }}
              </label>
            </div>
          </div>
          <div class="details__currency">
            <layout-country-currency
              image="app/presentation/assets/img/icons/flags/colombia.svg"
              currency="$COP"
            ></layout-country-currency>
          </div>
        </div>
      </div>
    </div>
    <div class="product-info__dates">
      <p class="item">
        <span class="item__title"
          ><b
            >{{
              "PRODUCT_CATALOGUE.PRODUCTS_PROFILE.INFO.CREATED_AT" | translate
            }}:
          </b></span
        >
        <span class="item__description">{{
          product?.created_at | MODate
        }}</span>
      </p>
      <p class="item">
        <span class="item__title"
          ><b
            >{{
              "PRODUCT_CATALOGUE.PRODUCTS_PROFILE.INFO.UPDATED_AT" | translate
            }}:
          </b></span
        >
        <span class="item__description">{{
          product?.updated_at | MODate
        }}</span>
      </p>
    </div>
  </div>
</layout-profile-info-card>
